%define name	netacct-php
%define version 3.02
%define release 2mdk
%define webadminroot /var/www/html/admin

Summary:	Web interface for netacct-mysql written in php
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	netstat-%{version}.tar.bz2
License:	GPL
Url:		http://netacct-mysql.sourceforge.net/
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	webserver php-common mod_php php-mysql netacct-mysql
BuildArch:	noarch
Prefix:		%{webadminroot}

%description
netacct-netstat is php web interface for netacct-mysql written by
Boril Yonchev. It supports auth by ip, different types of user
(admin, client, client with peering). Different prices for each
traffic.
 
%prep

%setup -q -n netstat-%{version}

%build

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{webadminroot}/netacct
cp -aRf * %{buildroot}%{webadminroot}/netacct/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL NEWS netstat.sql upgrade_database.php
%config(noreplace) %attr(0644,root,root) %{webadminroot}/netacct/index.php
%{webadminroot}/netacct/*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.02-2mdk
- build release

* Sun Sep 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.3-1mdk
- initial cooker contrib
- install in common and relocatable %%{webadminroot}/ directory
